Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
bills
/
bill-payments
List bill payments
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/bill-payments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "com.layerfi.routers.ApiBillPayment",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "at": "2023-11-07T05:31:56Z",
      "amount": 123,
      "processor": "<string>",
      "payment_clearing_account": {
        "type": "Single_Chart_Account",
        "id": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "name": "Current Assets",
        "account_number": "4000",
        "stable_name": {
          "type": "StableName",
          "stable_name": "CURRENT_ASSETS"
        },
        "account_type": {
          "display_name": "Asset"
        },
        "account_subtype": {
          "display_name": "Current Assets"
        }
      },
      "imported_at": "2023-11-07T05:31:56Z",
      "allocations": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": 123,
          "transaction_tags": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "ExampleTagKey",
              "value": "ExampleTagValue",
              "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "dimension_display_name": "<string>",
              "value_display_name": "<string>",
              "archived_at": "2023-11-07T05:31:56Z"
            }
          ],
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "transaction_tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "ExampleTagKey",
          "value": "ExampleTagValue",
          "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "dimension_display_name": "<string>",
          "value_display_name": "<string>",
          "archived_at": "2023-11-07T05:31:56Z"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>"
    }
  ],
  "meta": {
    "type": "request_metadata",
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch bill payments for.

Query Parameters

reference_number
string

Filter by exact reference number match. Returns only records with this exact reference number.

reference_numbers
string

Comma-separated list of reference numbers to filter bill payments by. Only bill payments with reference numbers matching any value in this list will be returned.

method
enum<string>

Filter payments by method.

Available options:
CASH,
CHECK,
CREDIT_CARD,
ACH,
CREDIT_BALANCE,
OTHER
paid_at_start
string<date-time>

Filter payments by payment date. Payments made on or after this date will be included.

paid_at_end
string<date-time>

Filter payments by payment date. Payments made on or before this date will be included.

external_id
string

Filter payments by external ID (unique idempotency key). This will always yield zero or one result.

is_matched
boolean

Filter bill payments by match status. If true, only matched payments will be returned. If false, only unmatched payments will be returned. Bill payments are considered matched if they are matched directly, or if they are included in a vendor payout that is matched.

tag_key
string

Tag key to filter bill payments by. Must be used together with tag_values.

tag_values
string

Comma-separated list of tag values to filter by. Must be used together with tag_key. Returns 404 if the tag key/value combination does not exist.

vendor_id
string<uuid>

Filter bill payments by vendor UUID. Returns payments allocated to bills associated with this vendor.

vendor_external_id
string

Filter bill payments by vendor external ID. Returns payments allocated to bills associated with the vendor matching this external ID.

Response

200 - application/json

Success.

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.